#pragma once

#include "detect.h"

//#define MACBETH				"data\\MacbethTmpl_tiasLrot.jpg"	// 嶣塭Ver1乮奓徖愭惗乯慜敿乮惓忢婸搙乯梡
//#define MACBETH				"data\\MacbethTmpl_tiasLrot_dark.jpg"	// 嶣塭Ver1乮奓徖愭惗乯屻敿乮掅婸搙乯梡
//#define MACBETH				"data\\MacbethTmpl_tiasLrot_bright.jpg"	// 嶣塭Ver1乮奓徖愭惗乯崅婸搙梡
#define MACBETH				"data\\MacbethTmpl_tias_v2.jpg"			// 嶣塭Ver2梡
#define M_PATCH_SPACE		190		// 僷僢僠娫偺嫍棧乮夋慺悢, MacbethTmpl.bmp傛傝寁嶼乯

//#define MACBETH				"data\\MacbethTmpl_v4.bmp"
//#define M_PATCH_SPACE		68		// 僷僢僠娫偺嫍棧乮夋慺悢, MacbethTmpl_v2.bmp傛傝寁嶼乯

#define M_ROTATE_STEP		180.0	// 儅僋儀僗傪夞揮扵嶕偡傞妏搙崗傒乮搙乯
#define M_PATCH_SIZE		10		// 僷僢僠偺怓傪暯嬒偡傞椞堟僒僀僘
#define M_NUM_PATCH			24		// 儅僋儀僗撪僷僢僠悢


class CDetectMacbeth :
	public CDetect
{
private:
	bool CalcPatchPosition(CvPoint pos, double angle);

public:
	CDetectMacbeth(void);
	~CDetectMacbeth(void);
	bool Init();
	bool Detect();
	bool CalcPatchColor9(CvMat **rgb);

};
